LibreOffice: XFormulaParser Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Types | Exported Interfaces | Public Attributes | List of all members
XFormulaParser Interface Reference

identifies a XFormulaParser which allows to retrieve the meta data of all supported functions. More...

`import <XFormulaParser.idl;`

Inheritance diagram for XFormulaParser:

## Public Types
typedef sequence< com::sun::star::sheet::FormulaOpCodeMapEntry > | OpCodeMap
| The complete mapping of Names to OpCodes.

## Exported Interfaces
interface | com::sun::star::lang::XComponent
| allows life-time control of report engine.
interface | com::sun::star::sheet::XFormulaParser
interface | com::sun::star::beans::XPropertySet
| gives access to the properties.

## Public Attributes
com::sun::star::sheet::XFormulaOpCodeMapper | FormulaOpCodeMapper
| return the mapper for op codes.

## Additional Inherited Members
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XFormulaParser
sequence< FormulaToken > | parseFormula ([in] string aFormula, [in] ::com::sun::star::table::CellAddress aReferencePos)
| parses a formula into a sequence of tokens.
string | printFormula ([in] sequence< FormulaToken > aTokens, [in] ::com::sun::star::table::CellAddress aReferencePos)
| converts a formula into a string.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

identifies a XFormulaParser which allows to retrieve the meta data of all supported functions.

## Member Typedef Documentation

## ◆ OpCodeMap

sequence< com::sun::star::sheet::FormulaOpCodeMapEntry > OpCodeMap
| attribute

The complete mapping of Names to OpCodes.

Names and symbols not defined here lead to a parser/print error.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

gives access to the properties.

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

allows life-time control of report engine.

## ◆ com::sun::star::sheet::XFormulaParser

interface com::sun::star::sheet::XFormulaParser

## Member Data Documentation

## ◆ FormulaOpCodeMapper

com::sun::star::sheet::XFormulaOpCodeMapper FormulaOpCodeMapper
| attributereadonly

return the mapper for op codes.

The documentation for this interface was generated from the following file:

- com/sun/star/report/meta/XFormulaParser.idl